package com.ynet.life.sujrb.file;

import com.ynet.life.exception.TranFailException;
import java.math.BigDecimal;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/BatchFileSummary.class */
public abstract class BatchFileSummary {
    private int recordNumber = 0;
    private BigDecimal totalAmount = new BigDecimal("0");
    private List recordList = new LinkedList();

    abstract RecordInterface getRecordInstance(Map map);

    public void initFromContext(Map context, String iCollName) throws TranFailException {
        for (Map kcoll : (List) context.get(iCollName)) {
            addRecord(kcoll);
        }
    }

    public void addRecord(Map input) {
        RecordInterface record = getRecordInstance(input);
        this.recordList.add(record);
        this.recordNumber++;
    }

    public void fillIntoContext(Map context, String iCollName) throws TranFailException {
        validate(context);
        context.put(FileConstants.PUBLIC_RECORD_NUMBER, String.valueOf(this.recordNumber));
        List iColl = (List) context.get(iCollName);
        iColl.clear();
        for (RecordInterface record : this.recordList) {
            iColl.add(record.toKeyedCollection());
        }
        System.out.println("结果===" + iColl.toString());
    }

    protected void validate(Map context) throws TranFailException {
    }

    public int getRecordNumber() {
        return this.recordNumber;
    }

    public BigDecimal getTotalAmount() {
        return this.totalAmount;
    }

    public List getRecordList() {
        return this.recordList;
    }
}
